<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:exsl="http://exslt.org/common">

<xsl:output indent="no"/>


<xsl:template match="/">
    <document>
        <xsl:apply-templates select="//file | //block"/>         
    </document>
</xsl:template>

<xsl:template match="file">
        <file>
                <xsl:call-template name="file-or-block"/>
        </file>
</xsl:template>

<xsl:template match="block">
        <block>
                <xsl:call-template name="file-or-block"/>
        </block>
</xsl:template>

<xsl:template name="file-or-block">
    <xsl:attribute name="name">
        <xsl:value-of select="./tm-arg[position()=1]/text()"/>
    </xsl:attribute>
    <xsl:for-each select="./tm-arg[position()=2]/tm-par">
        <line>
            <xsl:apply-templates>
                <xsl:with-param name="strip">
                    <xsl:choose>
                        <xsl:when test="@xml:space='preserve'">false</xsl:when>
                        <xsl:otherwise>true</xsl:otherwise>
                    </xsl:choose>
                </xsl:with-param>
            </xsl:apply-templates>
        </line>
    </xsl:for-each>
</xsl:template>
<xsl:template match="text()">
    <xsl:param name="strip"/>
    <xsl:choose>
        <xsl:when test="$strip='true'">
            <xsl:value-of select="normalize-space()"/>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="."/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="inc">
    <inc>
        <xsl:attribute name="name">
            <xsl:value-of select="./text()"/>
        </xsl:attribute>
    </inc>
</xsl:template>

<xsl:template match="cmt"/>

</xsl:stylesheet>
